Bug 869576 - Cannot power-off after logout from gnome-shell session
Cannot power-off after logout from gnome-shell session
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-10-24 06:12 EDT by Milan Crha
Modified: 2014-02-05 07:41 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-02-05 07:41:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Milan Crha 2012-10-24 06:12:52 EDT
When I try to power off from gdm session I get a prompt to authenticate the user which was logged in couple seconds ago, but is not anymore.

a) boot the F18, click your user, enter password and login to gnome-shell
b) Choose "your name menu"->Log Out
   - back in gdb prompt now
c) click the power button icon at the right top and choose Power Off

You are asked to authenticate the previously logged user, becaue the gdb thinks it's still logged in, but it isn't.

Interestingly, when I switch to a text console, login as root and do:
   $ ps aux | grep userlogin
then I see only two left processes for my user, one is /usr/bin/spice-vdagen and the other is /usr/libexec/tracker-miner-fs.
Comment 1 Mark Harfouche 2013-02-05 14:01:15 EST
I just wanted to say that this is still affecting users on Fedora 18

See thread
Comment 2 Michal Schmidt 2013-02-14 09:31:23 EST
(In reply to comment #0)
> Interestingly, when I switch to a text console, login as root and do

While you're there, please check out this:
# to see the list of sessions
# for the session ID number that was printed by the first command:
loginctl session-status $SESSION_ID
Comment 3 Milan Crha 2013-02-15 04:27:29 EST
I cannot reproduce it now, I updated to latest Fedora 18 from updates right now.
Comment 4 Akihiro Tsukada 2013-02-28 05:10:22 EST
I still have this problem.
mozc_server proccess does not terminate on logout,
and it prevents shutdown without authentication.

1) boot up and login from gdm
2) logout
3) switch to VT2 and login
then, always I can see my previous session remains.

         2        500 tsukada          seat0           
         4         42 gdm              seat0           
         5        500 tsukada          seat0           

loginctl session-status 2
2 - tsukada (500)
	   Since: Thu 2013-02-28 18:07:35 JST; 55min ago
	  Leader: 1140
	    Seat: seat0; vc1
	 Display: :0
	 Service: gdm-password; type x11; class user
	   State: closing
	  CGroup: name=systemd:/user/tsukada/2
		  └─2197 /usr/libexec/mozc_server

and if I kill the mozc_server process,
this left-over session disappears.

Fedora 18
Comment 5 Fedora End Of Life 2013-12-21 04:11:14 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 07:41:49 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.